/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.layer;

import org.apache.log4j.Logger;
import org.w3c.dom.Document;

import de.intevation.artifacts.ArtifactFactory;
import de.intevation.artifacts.CallMeta;
import de.intevation.gnv.artifacts.GNVArtifactBase;

/**
 * Artifact used for Product Layer.
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class LayerArtifact extends GNVArtifactBase{

    /**
     * the logger, used to log exceptions and additionally information
     */
    private static Logger log = Logger.getLogger(LayerArtifact.class);

    /**
     * The UID of this Class
     */
    private static final long serialVersionUID = 409054207294748753L;

    /**
     * Constructor
     */
    public LayerArtifact() {
        super();
        log.debug("LayerArtifact.Constructor");
        this.name = "layer";
    }

    @Override
    public void setup(
        String          identifier,
        ArtifactFactory factory,
        Object          context,
        CallMeta        meta,
        Document        data
    ) {
        log.debug("LayerArtifact.setup");
        super.setup(identifier, factory, context, meta, data);
    }

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
